Skip to main content
GET
/
api
/
v1
/
learn
/
admin
/
analytics
/
ship-detail
Get Ship Detail
curl --request GET \
  --url https://api.example.com/api/v1/learn/admin/analytics/ship-detail \
  --header 'Authorization: Bearer <token>'
{
  "ship": "<string>",
  "compliance": 123,
  "fleetAvgCompliance": 123,
  "crewOnboard": 123,
  "crewTrained": 123,
  "overdueCount": 123,
  "courseBreakdown": [
    {
      "course": "<string>",
      "status": "<string>",
      "score": 123,
      "crewCompleted": 123,
      "crewTotal": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ship_id
string
required

Response

Successful Response

ship
string
required
compliance
number
required
fleetAvgCompliance
number
required
crewOnboard
integer
required
crewTrained
integer
required
overdueCount
integer
required
courseBreakdown
ShipCourseStatusDTO · object[]
required